swig and ruby 1.6.8

Discussion in 'Ruby' started by Kroeger, Simon (ext), Nov 9, 2005.

  1. Dear list,

    I used swigwin-1.3.27 to create a wrapper for a third party lib.
    After fiddling with #defines everything went fine. I can compile
    and link this wrapper against ruby 1.8.2 (2004-12-25) [i386-mswin32]
    and get a working dll.

    Now I tried to link against ruby 1.6.8 (2002-12-24) [i586-mswin32]
    and I get a dll also, but everytime I try to require this dll
    (using ruby 1.6.8 of course) I only get "abnormal program termination".

    :(

    Yes, I know, we should update to 1.8.2 but this is not an option=20
    (today).

    cheers

    Simon
     
    Kroeger, Simon (ext), Nov 9, 2005
    #1
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. RubyQuestions
    Replies:
    3
    Views:
    279
    RubyQuestions
    Jan 13, 2004
  2. Robert  McGovern

    Phil Tomson's article on SWIG, Ruby and C

    Robert McGovern, Feb 9, 2004, in forum: Ruby
    Replies:
    0
    Views:
    96
    Robert McGovern
    Feb 9, 2004
  3. Charles Comstock
    Replies:
    1
    Views:
    121
    Lyle Johnson
    Jun 25, 2004
  4. Richard P. Groenewegen

    "add" function in swig and the ruby GC?

    Richard P. Groenewegen, Oct 24, 2004, in forum: Ruby
    Replies:
    4
    Views:
    110
    Asbjørn Reglund Thorsen
    Oct 26, 2004
  5. Peter C. Verhage

    SWIG and Ruby/DL

    Peter C. Verhage, Jan 5, 2005, in forum: Ruby
    Replies:
    5
    Views:
    113
    gabriele renzi
    Jan 6, 2005
Loading...

Share This Page